<?php

declare(strict_types=1);

namespace Drupal\symfony_mailer_lite_state_transport\Transport;

use Symfony\Component\Mailer\SentMessage;
use Symfony\Component\Mailer\Transport\AbstractTransport;

final class StateTransport extends AbstractTransport {

  final public function __construct(
    private StateTransportFactory $stateTransportFactory,
  ) {
    parent::__construct();
  }

  protected function doSend(SentMessage $message): void {
    $this->stateTransportFactory->append($message);
  }

  public function __toString(): string {
    return 'drupal-state://';
  }

}
